/*
 *	Copyright 2012  Samsung Electronics Co., Ltd
 *
 *	Licensed under the Flora License, Version 1.0 (the "License");
 *	you may not use this file except in compliance with the License.
 *	You may obtain a copy of the License at
 *
 * 		http://floralicense.org/license/
 *
 *	Unless required by applicable law or agreed to in writing, software
 *	distributed under the License is distributed on an "AS IS" BASIS,
 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *	See the License for the specific language governing permissions and
 *	limitations under the License.
 */


#ifndef __UG_SETTING_MANAGE_APPLICATION_EFL_H__
#define __UG_SETTING_MANAGE_APPLICATION_EFL_H__

#include <Elementary.h>
#include <ui-gadget.h>
#include <ui-gadget-module.h>
#include <glib.h>
#include <package-manager.h>


#ifndef PACKAGE
#define PACKAGE "ug-setting-manage-applications-efl"
#endif

#ifndef LOCALEDIR
#define LOCALEDIR PREFIX"/res/locale"
#endif

#define IMAGE_PATH PREFIX"/res/images"

typedef enum {
	VIEW_TYPE_NONE = 0,
	VIEW_TYPE_APP_LIST,
	VIEW_TYPE_APP_INFO,
	VIEW_TYPE_MAX
} view_type_t;

typedef enum {
	LIST_SEG_TYPE_APPLICATION = 0,
	LIST_SEG_TYPE_RUNNING,
	LIST_SEG_TYPE_ALL,
	LIST_SEG_TYPE_MAX
} seg_type_t;

struct ug_data {
	Evas_Object 		*win_main;
	Evas_Object			*bg;
	Evas_Object 		*layout_main;
	Evas_Object 		*navi_bar;
	ui_gadget_h			ug;
	ui_gadget_h 		sub_ug;
	void				*data;
	Evas_Object 		*ly;
	Evas_Object 		*popup;

	pkgmgr_client 		*pc;
	pkgmgr_client 		*pc_listen;

	Eina_Bool			uninstall;
};


#endif /* __UG_SETTING_MANAGE_APPLICATION_EFL_H__ */
